AXL(1)

NAME
axl - the afnix cross librarian

SYNOPSIS
axl [ options ] files

DESCRIPTION
axl invokes the AFNIX cross librarian utility. A librarian is a collection of files that are read by the afnix interpreter. A librarian is similar to an archive. The idea is to store a complete project into a single file and let the afnix interpreter to find them. A librarian is created with the -c option. Extracting a file or all files is performed with the -x option. Both options -c and -x are mutually exclusive.

OPTIONS

-h  prints an help message.

-v  displays the program version.

-c  create a new librarian

-x  extract from the librarian

-t  list files in the librarian

-s  short list of files in the librarian

-f librarian
    specify the librarian name

VERSION
The current version is 1.1.2

SEE ALSO
axc(1), axd(1), axi(1), axs(1)

NOTES
AFNIX comes with an extensive documentation. The documentation is available on line at http://www.afnix.org or in the doc directory in the form of formated xhtml documents.

AUTHOR
AFNIX has been written by Amaury Darsch <amaury@ethernix.org>.

HISTORY
AFNIX was originally called the Aleph programming language which has been discontinued on January 2005 when the 1.0.0 version was released.